/*
 *  ngtk/c/ngtk_strings.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the 
    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
    Boston, MA  02111-1307  USA.

----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>

char *ngtk_mktab(int tablen)
{
    char *buf = (char *)malloc(tablen+1);

    memset(buf, 32, tablen);
    buf[tablen] = 0;

    return(buf);
}

size_t ngtk_strpad(char *str, int strln)
{
    size_t i = strln;
	do i--; while (str[i] == 32);
	return(i);
}

void ngtk_inschar(char *str, int strln, char c, int offset)
{
	char *buf = strdup(str);

	str[offset] = c;
	str[offset+1] = 0;
	strncat(str, &buf[offset], strln-offset);
	free(buf);
}

void ngtk_delchar(char *str, int strln, int offset)
{
	char *buf = strdup(str);

	str[offset] = 0;
	strncat(str, &buf[offset+1], strln-offset-1);
    strncat(str, " ", 1);
}

